org-kde-kwin-server-decoration-manager-client-protocol.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`
`#include "wayland-client.h"`
Include dependency graph for org-kde-kwin-server-decoration-manager-client-protocol.h:

Go to the source code of this file.

## Data Structures

struct | org_kde_kwin_server_decoration_manager_listener
struct | org_kde_kwin_server_decoration_listener

## Macros

#define | ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_ENUM
#define | ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_CREATE 0
#define | ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_DEFAULT_MODE_SINCE_VERSION 1
#define | ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_CREATE_SINCE_VERSION 1
#define | ORG_KDE_KWIN_SERVER_DECORATION_MODE_ENUM
#define | ORG_KDE_KWIN_SERVER_DECORATION_RELEASE 0
#define | ORG_KDE_KWIN_SERVER_DECORATION_REQUEST_MODE 1
#define | ORG_KDE_KWIN_SERVER_DECORATION_MODE_SINCE_VERSION 1
#define | ORG_KDE_KWIN_SERVER_DECORATION_RELEASE_SINCE_VERSION 1
#define | ORG_KDE_KWIN_SERVER_DECORATION_REQUEST_MODE_SINCE_VERSION 1

## Enumerations

enum | org_kde_kwin_server_decoration_manager_mode { ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_NONE = 0, ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_CLIENT = 1, ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_SERVER = 2 }
enum | org_kde_kwin_server_decoration_mode { ORG_KDE_KWIN_SERVER_DECORATION_MODE_NONE = 0, ORG_KDE_KWIN_SERVER_DECORATION_MODE_CLIENT = 1, ORG_KDE_KWIN_SERVER_DECORATION_MODE_SERVER = 2 }

## Functions

static int | org_kde_kwin_server_decoration_manager_add_listener (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager, const struct org_kde_kwin_server_decoration_manager_listener *listener, void *data)
static void | org_kde_kwin_server_decoration_manager_set_user_data (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager, void *user_data)
static void * | org_kde_kwin_server_decoration_manager_get_user_data (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager)
static uint32_t | org_kde_kwin_server_decoration_manager_get_version (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager)
static void | org_kde_kwin_server_decoration_manager_destroy (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager)
static struct org_kde_kwin_server_decoration * | org_kde_kwin_server_decoration_manager_create (struct org_kde_kwin_server_decoration_manager *org_kde_kwin_server_decoration_manager, struct wl_surface *surface)
static int | org_kde_kwin_server_decoration_add_listener (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration, const struct org_kde_kwin_server_decoration_listener *listener, void *data)
static void | org_kde_kwin_server_decoration_set_user_data (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration, void *user_data)
static void * | org_kde_kwin_server_decoration_get_user_data (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration)
static uint32_t | org_kde_kwin_server_decoration_get_version (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration)
static void | org_kde_kwin_server_decoration_destroy (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration)
static void | org_kde_kwin_server_decoration_release (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration)
static void | org_kde_kwin_server_decoration_request_mode (struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration, uint32_t mode)

## Variables

const struct wl_interface | org_kde_kwin_server_decoration_manager_interface
const struct wl_interface | org_kde_kwin_server_decoration_interface

## Macro Definition Documentation

## ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_CREATE

#define ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_CREATE 0

Definition at line 128 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_ENUM

#define ORG_KDE_KWIN_SERVER_DECORATION_MANAGER_MODE_ENUM

Definition at line 75 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## ORG_KDE_KWIN_SERVER_DECORATION_MODE_ENUM

#define ORG_KDE_KWIN_SERVER_DECORATION_MODE_ENUM

Definition at line 193 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## ORG_KDE_KWIN_SERVER_DECORATION_RELEASE

#define ORG_KDE_KWIN_SERVER_DECORATION_RELEASE 0

Definition at line 254 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## ORG_KDE_KWIN_SERVER_DECORATION_REQUEST_MODE

#define ORG_KDE_KWIN_SERVER_DECORATION_REQUEST_MODE 1

Definition at line 255 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## Function Documentation

## org_kde_kwin_server_decoration_get_version()

static uint32_t org_kde_kwin_server_decoration_get_version | ( | struct org_kde_kwin_server_decoration * | org_kde_kwin_server_decoration | ) |

inline static

Definition at line 286 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) org_kde_kwin_server_decoration);
}

## org_kde_kwin_server_decoration_manager_get_version()

static uint32_t org_kde_kwin_server_decoration_manager_get_version | ( | struct org_kde_kwin_server_decoration_manager * | org_kde_kwin_server_decoration_manager | ) |

inline static

Definition at line 155 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) org_kde_kwin_server_decoration_manager);
}

## Variable Documentation

## org_kde_kwin_server_decoration_interface

WL_EXPORT const struct wl_interface org_kde_kwin_server_decoration_interface

Initial value:
= {
"org_kde_kwin_server_decoration", 1,
2, org_kde_kwin_server_decoration_requests,
1, org_kde_kwin_server_decoration_events,
}

Definition at line 56 of file org-kde-kwin-server-decoration-manager-protocol.c.

Referenced by org_kde_kwin_server_decoration_manager_create().

## org_kde_kwin_server_decoration_manager_interface

const struct wl_interface org_kde_kwin_server_decoration_manager_interface

Definition at line 41 of file org-kde-kwin-server-decoration-manager-protocol.c.

org_kde_kwin_server_decoration_requests
static const struct wl_message org_kde_kwin_server_decoration_requests[]
Definition: org-kde-kwin-server-decoration-manager-protocol.c:47
org_kde_kwin_server_decoration_events
static const struct wl_message org_kde_kwin_server_decoration_events[]
Definition: org-kde-kwin-server-decoration-manager-protocol.c:52